package com.gyee.frame.controller.ticket;


import com.gyee.frame.common.dataSources.DataSource;
import com.gyee.frame.common.dataSources.DataSourceType;
import com.gyee.frame.common.domain.AjaxResult;
import com.gyee.frame.model.ticket.Wfnode;
import com.gyee.frame.service.ticket.WfnodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.websocket.server.PathParam;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author chenmh
 * @since 2020-07-21
 */
@RestController
@RequestMapping("/wfnode")
public class WfnodeController {

    @Autowired
    WfnodeService wfnodeService;

    @DataSource(value = DataSourceType.TICKET)
    @GetMapping(value = "index")
    public AjaxResult getWfNode(@RequestParam("app") String app){
        return AjaxResult.success();
    }
}

