package com.gyee.frame.model.ticket;

import lombok.Data;

@Data
public class FlowAction {

    private double actionId;

    /**
     * 下个节点
     */
    private String nextNodeId;

    /**
     * 节点描述
     */
    private String description;

    /**
     * 节点类型
     */
    private String actionType;

    /**
     * 是否默认
     */
    private String isDefault;

    /**
     * 是否需要选择人员  Y  N
     */
    private String filter;

    /**
     * 下一节点绑定的人员角色
     */
    private String role;

    /**
     * 下一节点是否为结束  Y  N
     */
    private String isEndNode = "N";

    /**
     * 默认   true
     * 非默认 false
     */
    private Boolean checked;

}
