package com.gyee.frame.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Data
  @EqualsAndHashCode(callSuper = false)
    @TableName("OPTICKET")
public class Opticket extends Model<Opticket> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
      private Double id;

    @TableField("TKNUM")
    private String tknum;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("LOCATION")
    private String location;

    @TableField("EQNUM")
    private String eqnum;

    @TableField("OPLABOR")
    private String oplabor;

    @TableField("CHECKBY")
    private String checkby;

    @TableField("PERMITTER")
    private String permitter;

    @TableField("ENTERBY")
    private String enterby;

    @TableField("STARTDATE")
    private LocalDateTime startdate;

    @TableField("ENDDATE")
    private LocalDateTime enddate;

    @TableField("ISSTD")
    private String isstd;

    @TableField("STDTICKET")
    private String stdticket;

    @TableField("TICKTYPE")
    private String ticktype;

    @TableField("CREWID")
    private String crewid;

    @TableField("SHIFTNUM")
    private String shiftnum;

    @TableField("REMARK")
    private String remark;

    @TableField("OUTDATE")
    private LocalDateTime outdate;

    @TableField("OPERTYPE")
    private String opertype;

    @TableField("PRINUSER")
    private String prinuser;

    @TableField("TURNNUM")
    private String turnnum;

    @TableField("LEADER")
    private String leader;

    @TableField("DISPATCHNUM")
    private String dispatchnum;

    @TableField("DISNUMDESCRIP")
    private String disnumdescrip;

    @TableField("STATUS")
    private String status;

    @TableField("STATUSDATE")
    private LocalDateTime statusdate;

    @TableField("TICKETSTATUS")
    private String ticketstatus;

    @TableField("CHECKSTATE")
    private String checkstate;

    @TableField("CHECKDATE")
    private LocalDateTime checkdate;

    @TableField("CHECKPERSON")
    private String checkperson;

    @TableField("CHECKQUESTION")
    private String checkquestion;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;

    @TableField("OPLABORNAME")
    private String oplaborname;

    @TableField("CHECKBYNAME")
    private String checkbyname;

    @TableField("PERMITTERNAME")
    private String permittername;

    @TableField("ENTERBYNAME")
    private String enterbyname;

    @TableField("CHECKPERSONNAME")
    private String checkpersonname;

    @TableField("OTNUM")
    private String otnum;


    @Override
    protected Serializable pkVal() {
          return this.id;
      }

}
