package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Wfnode;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-07-21
 */
public interface WfnodeService extends IService<Wfnode> {

    /**
     * 根据启用的版本（WFREVISION）以及流程名称（WFNAME）
     * 获取所有流程节点
     * @param wfName
     * @param version
     * @return
     */
    List<Wfnode> getListNodes(String wfName, double version);

    /**
     * 根据id查询一个节点
     *
     * @param id
     * @param version
     * @param wfName
     * @return
     */
    Wfnode getNode(double id, double version, String wfName);
}
