package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Wftrans;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-07-21
 */
public interface WftransService extends IService<Wftrans> {

    /**
     * 查询最大ID
     * @return
     */
    int selectMaxId();

    /**
     * 获取流程实例表 WFINSTANCE 所有流程历史
     *
     * @param instanceId
     * @return
     */
    List<Wftrans> listTrans(double instanceId);

    /**
     * 写入流程事务
     *
     * @param currNodeId
     * @param preNodeId
     * @param actionId
     * @param instId
     * @param version
     * @param ownerId
     * @param wfName
     * @param ticketNum
     * @param role
     * @param labors
     * @param processor
     * @return
     */
    boolean insertTrans(double currNodeId, double preNodeId, double actionId, double instId, double version, double ownerId,
                        String wfName, String ticketNum, String role, List<String> labors, String processor);
}
