package com.gyee.frame.service.ticket;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gyee.frame.model.ticket.Workticket;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-01
 */
public interface WorkticketService extends IService<Workticket> {

    /**
     * 分页查询工作票
     *
     * @param pageNum
     * @param type
     * @param dept
     * @return
     */
    IPage<Workticket> selectPage(long pageNum, String type, String dept);


    /**
     * 更新workticket主表状态
     *
     * @param id
     * @param startNodeId
     * @param endNodeId
     * @return
     */
    boolean updateTicket(double id, double startNodeId, double endNodeId);
}
