package com.gyee.frame.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenmh
 * @since 2020-06-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("WOBUGEQ")
public class Wobugeq extends Model<Wobugeq> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Double id;

    @TableField("BUGNUM")
    private String bugnum;

    @TableField("EQNUM")
    private String eqnum;

    @TableField("EQTYPE")
    private String eqtype;

    @TableField("EQCLASS")
    private String eqclass;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("REPORTLABORNUM")
    private String reportlabornum;

    @TableField("FINDLABORNUM")
    private String findlabornum;

    @TableField("FINDTIME")
    private Date findtime;

    @TableField("BUGTYPE")
    private String bugtype;

    @TableField("RUNDEPTOPINION")
    private String rundeptopinion;

    @TableField("RUNDEPTLABORNUM")
    private String rundeptlabornum;

    @TableField("RUNDEPTBUGTYPE")
    private String rundeptbugtype;

    @TableField("ISPOWERCUT")
    private String ispowercut;

    @TableField("TRANSMITTIME")
    private Date transmittime;

    @TableField("TRANSMITDEPTNUM")
    private String transmitdeptnum;

    @TableField("PRODTDEPTOPINION")
    private String prodtdeptopinion;

    @TableField("PRODTDEPTTIME")
    private Date prodtdepttime;

    @TableField("LOCATION")
    private String location;

    @TableField("PRODTDEPTLABORNUM")
    private String prodtdeptlabornum;

    @TableField("REPAIRDEPTOPINION")
    private String repairdeptopinion;

    @TableField("REPAIRDEPTBUGTYPE")
    private String repairdeptbugtype;

    @TableField("REPAIRDEPTTIME")
    private Date repairdepttime;

    @TableField("REPAIRDEPTLABORNUM")
    private String repairdeptlabornum;

    @TableField("REPAIREDTIME")
    private Date repairedtime;

    @TableField("REPAIREDCOMMENT")
    private String repairedcomment;

    @TableField("ISRESOLVED")
    private String isresolved;

    @TableField("UNRESOLVEDBUG")
    private String unresolvedbug;

    @TableField("ISDEGRADED")
    private String isdegraded;

    @TableField("DEGRADEBUGTYPE")
    private String degradebugtype;

    @TableField("CHECKDEPTOPINION")
    private String checkdeptopinion;

    @TableField("CHECKTIME")
    private Date checktime;

    @TableField("CHECKDEPTLABORNUM")
    private String checkdeptlabornum;

    @TableField("LASTBUGTYPE")
    private String lastbugtype;

    @TableField("BUGANALIS")
    private String buganalis;

    @TableField("REMARK")
    private String remark;

    @TableField("STATUS")
    private String status;

    @TableField("STATUSDATE")
    private Date statusdate;

    @TableField("APPROVELABORNUM")
    private String approvelabornum;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;

    @TableField("LOADEROPINION")
    private String loaderopinion;

    @TableField("CJZROPINION")
    private String cjzropinion;

    @TableField("YIJICHUSHI")
    private String yijichushi;

    @TableField("YXISPOWERCUT")
    private String yxispowercut;

    @TableField("DEPARTURETIME")
    private Date departuretime;

    @TableField("ARRIVALTIME")
    private Date arrivaltime;

    @TableField("WORKLEADER")
    private String workleader;

    @TableField("WORKGROUP")
    private String workgroup;

    @TableField("STAFFNUMBER")
    private String staffnumber;

    @TableField("WORKGROUP1")
    private String workgroup1;

    @TableField("WORKGROUP2")
    private String workgroup2;

    @TableField("ACUSSTA")
    private String acussta;

    @TableField("GRIDTIME")
    private Date gridtime;

    @TableField("NODETYPE")
    private String nodetype;

    @TableField("WTNUM")
    private String wtnum;

    @TableField("FAILURECODE")
    private String failurecode;

    @TableField("WFNUM")
    private String wfnum;

    @TableField("AVGWINSPE")
    private Double avgwinspe;

    @TableField("CLASSIFICATION")
    private String classification;

    @TableField("REPAIRDEPTBUGTYPE1")
    private String repairdeptbugtype1;

    @TableField("WSPEED")
    private Double wspeed;

    @TableField("WARNID")
    private Double warnid;

    @TableField("SNAPID")
    private String snapid;

    @TableField("SNAPNAME")
    private String snapname;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
