package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Ibsusers;
import com.gyee.frame.mapper.ticket.IbsusersMapper;
import com.gyee.frame.service.ticket.IbsusersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.frame.util.MD5Util;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-08-04
 */
@Service
public class IbsusersServiceImpl extends ServiceImpl<IbsusersMapper, Ibsusers> implements IbsusersService {

    @Override
    public Ibsusers findUser(String username, String password) {
        password = MD5Util.encode(password);
        QueryWrapper<Ibsusers> wrapper = new QueryWrapper<>();
        wrapper.eq("LABORNUM", username);
        wrapper.eq("PASSWORD", password);

        return baseMapper.selectOne(wrapper);
    }
}
