package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Wftaskassign;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-07-21
 */
public interface WftaskassignService extends IService<Wftaskassign> {

    /**
     * 查询节点的人员组
     *
     * @param version
     * @param wfName
     * @return
     */
    List<Wftaskassign> listTaskAssign(double version, String wfName);

    /**
     * 查询节点的任务描述信息
     *
     * @param nodeId
     * @param version
     * @param wfName
     * @return
     */
    Wftaskassign taskAssign(double nodeId, double version, String wfName);
}
