package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Woearthline;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
public interface WoearthlineService extends IService<Woearthline> {

    /**
     * 最大 id
     * @return
     */
    int selectMaxId();

    /**
     * 查询安全措施
     * @param woNum
     * @return
     */
    List<Woearthline> getListSafeMeasure(String woNum);

    /**
     * 批量删除安全措施
     * @param list
     */
    Integer deleteSafeMeasure(List<Double> list);
}
