package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Wosafemeasure;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
public interface WosafemeasureService extends IService<Wosafemeasure> {

    /**
     * 查询安全措施
     * @param wonum
     * @param type
     * @return
     */
    List<Wosafemeasure> getListSafeMeasure(String wonum, String type);

    /**
     * 批量删除安全措施
     * @param list
     */
    Integer deleteSafeMeasure(List<Double> list);

    /**
     * 最大 id
     * @return
     */
    int selectMaxId();
}
