package com.gyee.frame.service.ticket;

import com.gyee.frame.model.ticket.Wosafetybaffle;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
public interface WosafetybaffleService extends IService<Wosafetybaffle> {

    /**
     *  查询防护措施
     * @param wonum
     * @param style
     * @return
     */
    List<Wosafetybaffle> getListOfProtectMeasure(String wonum, String style);

    /**
     * 批量删除安全防护措施
     * @param list
     */
    Integer deleteSafeMeasure(List<Double> list);

    /**
     * 最大 id
     * @return
     */
    int selectMaxId();
}
